VARKON Version 1.15 1997-12-29

> ## lin_ang - Geometric procedure

> Creates a line
> Description
> Creates a 2D or 3D line with arbitrary start, direction and length.
> Syntax
> lin_ang(id, p, dir, len:attributes);

> REF | id;
> VECTOR | p;
> FLOAT | dir;
> FLOAT | len;

> Principal parameters

> id | - Local identity.
> p | - Starting position
> dir | - Direction, counterclockwise angle from positive X-axis of active coordinate system
> len | - Length

> Optional parameters
> None.
> Attributes

> PEN | - Pen number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> LFONT | - Solid(0), dashed(1) or centerline(2)
> LDASHL | - Dashlength
> WIDTH | - Linewidth

> Example
> lin_ang(#1,vec(10,10),90,100:LFONT=1);
> Creates a dashed line starting in X=10 and Y=10 with same direction as positive Y-axis and length = 100.
> Comments
> In a 3D module the resulting line is restricted to the XY-plane of the active coordinate system. If the Z-component of the input position p is not zero then p will be projected along the Z-axis onto the active XY-plane before the line is created.

VARKON Homepage | Index